package com.cim.idm.wmspackage.materialreceivetactdetail.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialReceiveActDetail extends FieldAccessor implements DataInfo<MaterialReceiveActDetailKey> {
	private MaterialReceiveActDetailKey key;
	//private Timestamp makeDate;
	private double receiveQuantity;
	private String createPackingFlag;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String receiveActState;
	private String innerRequestName;
	private String innerRequestDetailName;
	private String taxID;
	private String jiezhuanFrom;
	private String customFormNo;
	public String getTaxID() {
		return taxID;
	}
	public void setTaxID(String taxID) {
		this.taxID = taxID;
	}
	public String getJiezhuanFrom() {
		return jiezhuanFrom;
	}
	public void setJiezhuanFrom(String jiezhuanFrom) {
		this.jiezhuanFrom = jiezhuanFrom;
	}
	public String getCustomFormNo() {
		return customFormNo;
	}
	public void setCustomFormNo(String customFormNo) {
		this.customFormNo = customFormNo;
	}
	public MaterialReceiveActDetailKey getKey() {
		return key;
	}
	public void setKey(MaterialReceiveActDetailKey key) {
		this.key = key;
	}
	
	/*public Timestamp getMakeDate() {
		return makeDate;
	}
	public void setMakeDate(Timestamp makeDate) {
		this.makeDate = makeDate;
	}*/
	
	public String getCreatePackingFlag() {
		return createPackingFlag;
	}
	public double getReceiveQuantity() {
		return receiveQuantity;
	}
	public void setReceiveQuantity(double receiveQuantity) {
		this.receiveQuantity = receiveQuantity;
	}
	public void setCreatePackingFlag(String createPackingFlag) {
		this.createPackingFlag = createPackingFlag;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getReceiveActState() {
		return receiveActState;
	}
	public void setReceiveActState(String receiveActState) {
		this.receiveActState = receiveActState;
	}
	public String getInnerRequestName() {
		return innerRequestName;
	}
	public void setInnerRequestName(String innerRequestName) {
		this.innerRequestName = innerRequestName;
	}
	public String getInnerRequestDetailName() {
		return innerRequestDetailName;
	}
	public void setInnerRequestDetailName(String innerRequestDetailName) {
		this.innerRequestDetailName = innerRequestDetailName;
	}
	
	
	
}
